## strophejs 1.1.3%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export YUI_COMPRESSOR=/usr/share/yui-compressor/yui-compressor.jar

%:
	dh $@ -- make

override_dh_auto_clean:
	rm -f strophe.min.js
	rm -f plugins/*.min.js

## strophejs 1.1.3+dfsg

=== Makefile ===
SHELL=/bin/bash

SRC_DIR = src
DOC_DIR = doc
DOC_TEMP = doc-temp
PLUGIN_DIR = plugins
NDPROJ_DIR = ndproj

BASE_FILES = $(SRC_DIR)/base64.js \
	$(SRC_DIR)/sha1.js \
	$(SRC_DIR)/md5.js \
	$(SRC_DIR)/core.js \
	$(SRC_DIR)/bosh.js \
	$(SRC_DIR)/websocket.js

STROPHE = strophe.js
STROPHE_MIN = strophe.min.js

PLUGIN_FILES = $(shell ls $(PLUGIN_DIR)/strophe.*.js | grep -v min)
PLUGIN_FILES_MIN = $(PLUGIN_FILES:.js=.min.js)

DIST_FILES = LICENSE.txt README.txt contrib examples plugins tests doc \
		$(STROPHE) $(STROPHE_MIN)

VERSION = $(shell if [ -f version.txt ]; then cat version.txt; else VERSION=`git rev-list HEAD -n1`; echo $${VERSION:0:7}; fi)

all: normal min

normal: $(STROPHE)

min: $(STROPHE_MIN) $(PLUGIN_FILES_MIN)

$(STROPHE): $(BASE_FILES)
	@@echo "Building" $(STROPHE) "..."
	@@cat $(BASE_FILES) | sed -e 's/@VERSION@/$(VERSION)/' > $(STROPHE)
	@@echo $(STROPHE) "built."
	@@echo

$(STROPHE_MIN): $(STROPHE)
	@@echo "Building" $(STROPHE_MIN) "..."
ifdef YUI_COMPRESSOR
	@@java -jar $(YUI_COMPRESSOR) --type js --nomunge \
		$(STROPHE) > $(STROPHE_MIN)
	@@echo $(STROPHE_MIN) "built."
else
	@@echo $(STROPHE_MIN) "not built."
	@@echo "    YUI Compressor required to build minified version."
	@@echo "    Please set YUI_COMPRESSOR to the path to the jar file."
endif
	@@echo

%.min.js: %.js
	@@echo "Building" $@ "..."
ifdef YUI_COMPRESSOR
	@@java -jar $(YUI_COMPRESSOR) --type js --nomunge \
		$< > $@
	@@echo $@ "built."
else
	@@echo $@ "not built."
	@@echo "    YUI Compressor required to build minified version."
	@@echo "    Please set YUI_COMPRESSOR to the path to the jar file."
endif
	@@echo

doc:
	@@echo "Building Strophe documentation..."
	@@if [ ! -d $(NDPROJ_DIR) ]; then mkdir $(NDPROJ_DIR); fi
	@@if [ ! -d $(DOC_DIR) ]; then mkdir $(DOC_DIR); fi
	@@if [ ! -d $(DOC_TEMP) ]; then mkdir $(DOC_TEMP); fi
	@@cp $(STROPHE) $(DOC_TEMP)
	@@naturaldocs -r -ro -q -i $(DOC_TEMP) -i $(PLUGIN_DIR) -o html $(DOC_DIR) -p $(NDPROJ_DIR)
	@@echo "Documentation built."
	@@echo

release: normal min doc
	@@echo "Creating release packages..."
	@@mkdir strophejs-$(VERSION)
	@@cp -R $(DIST_FILES) strophejs-$(VERSION)
	@@tar czf strophejs-$(VERSION).tar.gz strophejs-$(VERSION)
	@@zip -qr strophejs-$(VERSION).zip strophejs-$(VERSION)
	@@rm -rf strophejs-$(VERSION)
	@@echo "Release created."
	@@echo

clean:
	@@echo "Cleaning" $(STROPHE) "..."
	@@rm -f $(STROPHE)
	@@echo $(STROPHE) "cleaned."
	@@echo "Cleaning" $(STROPHE_MIN) "..."
	@@rm -f $(STROPHE_MIN)
	@@echo $(STROPHE_MIN) "cleaned."
	@@echo "Cleaning minified plugins..."
	@@rm -f $(PLUGIN_FILES_MIN)
	@@echo "Minified plugins cleaned."
	@@echo "Cleaning documentation..."
	@@rm -rf $(NDPROJ_DIR) $(DOC_DIR) $(DOC_TEMP)
	@@echo "Documentation cleaned."
	@@rm -rf strophejs-$(VERSION) strophejs-$(VERSION).zip strophejs-$(VERSION).tar.gz
	@@echo "Release cleaned."
	@@echo

.PHONY: all normal min doc release clean

=== debian/changelog ===
strophejs (1.1.3+dfsg-0.1) unstable; urgency=low

  * New upstream release. Non-maintainer upload.
  * Updates standards.
  * Updates BSD license in copyright file.

 -- Damian Minkov <damencho@jitsi.org>  Wed, 10 Sep 2014 21:48:12 +0200

strophejs (1.0.1.dfsg-2) unstable; urgency=low

  * Added watch file 

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 02 Jun 2010 14:41:16 -0300

strophejs (1.0.1.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #521316)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 22 May 2010 12:14:11 -0300

=== debian/control ===
Source: strophejs
Section: web
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>
Build-Depends: debhelper (>= 8.0.0), yui-compressor
Standards-Version: 3.9.5
Homepage: http://code.stanziq.com/strophe/
Vcs-Git: git://git.debian.org/git/pkg-xmpp/strophejs.git
Vcs-Browser: http://git.debian.org/?p=pkg-xmpp/strophejs.git;a=summary

Package: libjs-strophe
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: javascript-common
Description: Library for writing XMPP clients
 Strophe provides the following features:
 .
   * XMPP compliant
   * TLS support via SChannel, GNUTLS or OpenSSL
   * SASL authentication using ANONYMOUS, DIGEST-MD5 or PLAIN methods
     as well as legacy jabber authentication
   * Customizable logging and memory management

## strophejs 1.2.14%2Bdfsg

=== debian/changelog ===
strophejs (1.2.14+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 28 Jan 2018 22:21:02 -0200

strophejs (1.2.14+dfsg-1) experimental; urgency=medium

  * New upstream version 1.2.14 (Closes: #832716)
  * debian/watch: Moved to github
  * debian/control: New homepage
  * debian/control: Bump Standards-Version to 4.1.3
  * debian/control: Move to salsa.debian.org
  * debian/copyright: Updated license files
  * debian/README.source: Fixed release name
  * debian/compat: Fixed compat version

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 21 Jan 2018 22:51:45 -0200

## strophejs 1.2.14+dfsg

=== Makefile ===
BOWER		?= node_modules/.bin/bower
HTTPSERVE	?= ./node_modules/.bin/http-server
JSHINT		?= ./node_modules/.bin/jshint
PHANTOMJS	?= ./node_modules/.bin/phantomjs
RJS			?= ./node_modules/.bin/r.js
SHELL		?= /usr/env/bin/bash
SRC_DIR		= src
DOC_DIR		= doc
DOC_TEMP	= doc-temp
NDPROJ_DIR 	= ndproj
SED			?= sed

STROPHE			= strophe.js
STROPHE_MIN		= strophe.min.js
STROPHE_LIGHT	= strophe-no-polyfill.js

all: doc $(STROPHE) $(STROPHE_MIN)

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of the following:"
	@echo ""
	@echo " release       Prepare a new release of strophe.js. E.g. `make release VERSION=1.2.14`"
	@echo " serve         Serve this directory via a webserver on port 8000."
	@echo " stamp-npm     Install NPM dependencies and create the guard file stamp-npm which will prevent those dependencies from being installed again."

stamp-npm: package.json
	npm install
	touch stamp-npm

.PHONY: doc
doc:
	@@echo "Building Strophe documentation..."
	@@if [ ! -d $(NDPROJ_DIR) ]; then mkdir $(NDPROJ_DIR); fi
	@@cp docs.css $(NDPROJ_DIR);
	@@if [ ! -d $(DOC_DIR) ]; then mkdir $(DOC_DIR); fi
	@@if [ ! -d $(DOC_TEMP) ]; then mkdir $(DOC_TEMP); fi
	@@cp $(STROPHE) $(DOC_TEMP)
	@@naturaldocs -r -ro -q -i $(DOC_TEMP) -o html $(DOC_DIR) -p $(NDPROJ_DIR) -s docs
	@@rm -r $(DOC_TEMP)
	@@echo "Documentation built."
	@@echo

.PHONY: release
release:
	$(SED) -i 's/\"version\":\ \"[0-9]\+\.[0-9]\+\.[0-9]\+\"/\"version\":\ \"$(VERSION)\"/' package.json
	$(SED)  -i "s/Unreleased/`date +%Y-%m-%d`/" CHANGELOG.md
	make dist
	make doc

.PHONE: dist
dist: $(STROPHE) $(STROPHE_MIN) $(STROPHE_LIGHT)

$(STROPHE_MIN): src node_modules Makefile
	$(RJS) -o build.js insertRequire=strophe-polyfill include=strophe-polyfill out=$(STROPHE_MIN)
	$(SED) -i s/@VERSION@/$(VERSION)/ $(STROPHE_MIN)

$(STROPHE): src node_modules Makefile
	$(RJS) -o build.js optimize=none insertRequire=strophe-polyfill include=strophe-polyfill out=$(STROPHE)
	$(SED) -i s/@VERSION@/$(VERSION)/ $(STROPHE)

$(STROPHE_LIGHT): src node_modules Makefile
	$(RJS) -o build.js optimize=none out=$(STROPHE_LIGHT)
	$(SED) -i s/@VERSION@/$(VERSION)/ $(STROPHE_LIGHT)

.PHONY: jshint
jshint: stamp-npm
	$(JSHINT) --config jshintrc src/*.js

.PHONY: check
check:: stamp-npm jshint
	$(PHANTOMJS) node_modules/qunit-phantomjs-runner/runner-list.js tests/index.html

.PHONY: serve
serve:
	$(HTTPSERVE) -p 8080

.PHONY: clean
clean:
	@@rm -f stamp-npm
	@@rm -rf node_modules
	@@rm -f $(STROPHE)
	@@rm -f $(STROPHE_MIN)
	@@rm -f $(STROPHE_LIGHT)
	@@rm -f $(PLUGIN_FILES_MIN)
	@@rm -rf $(NDPROJ_DIR) $(DOC_DIR) $(DOC_TEMP)
	@@echo "Done."
	@@echo

=== debian/changelog ===
strophejs (1.2.14+dfsg-8) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * Replace deprecated no-uglify by uglifyjs (Closes: #979945)
  * Enable CI
  * Fixed copyright format
  * Change package section to 'javascript'
  * Fixed older-debian-watch-file-standard
  * Use https in upstream homepage
  * Bump Standards-Version to 4.5.1

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 15 Jan 2021 13:27:58 -0300

strophejs (1.2.14+dfsg-7) unstable; urgency=high

  * New package version to force the source package into unstable:
    Not built on buildd: arch all binaries uploaded by metal, a new
    source-only upload is needed to allow migration

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 05 Dec 2020 17:56:20 -0300

strophejs (1.2.14+dfsg-6) unstable; urgency=high

  * Fixed FTBFS (Closes: #971174)
    - Error: Cannot find module '/usr/lib/nodejs/requirejs/r.js'
  * Fixed duplicate-globbing-patterns (src/polyfills.js)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 22 Nov 2020 16:56:25 -0300

strophejs (1.2.14+dfsg-5) unstable; urgency=medium

  * Team upload.
    [ Sunil Mohan Adapa <sunil@medhas.org> ]
  * Fix path to almond.js, again. (Closes: #952359)

 -- Martin <debacle@debian.org>  Mon, 30 Mar 2020 22:53:23 +0000

strophejs (1.2.14+dfsg-4) unstable; urgency=high

  * Team upload.
  * Fix path to almond.js. (Closes: #922805)

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 23:17:03 +0100

strophejs (1.2.14+dfsg-3) unstable; urgency=high

  * Fixed FTBFS with node-almond 0.3.3+dfsg-1 (Closes: #893652)

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 23 Aug 2018 00:30:53 -0300

=== debian/control ===
Source: strophejs
Section: javascript
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira <metal@debian.org>
Build-Depends: debhelper-compat (= 13),
               node-almond (>= 0.3.3+dfsg-3),
               node-requirejs,
               uglifyjs
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://strophe.im/strophejs/
Vcs-Git: https://salsa.debian.org/xmpp-team/strophejs.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/strophejs

Package: libjs-strophe
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Recommends: javascript-common
Description: Library for writing XMPP clients
 Strophe provides the following features:
 .
   * XMPP compliant
   * TLS support via SChannel, GNUTLS or OpenSSL
   * SASL authentication using ANONYMOUS, DIGEST-MD5 or PLAIN methods
     as well as legacy jabber authentication
   * Customizable logging and memory management

=== debian/rules ===
#!/usr/bin/make -f

RJS ?= /usr/share/nodejs/requirejs/r.js
ALMOND ?= /usr/share/nodejs/almond/almond.js

STROPHE=strophe.js
STROPHE_MIN=strophe.min.js
STROPHE_LIGHT=strophe-no-polyfill.js

DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([0-9.]+)[-+].*$$/\1/p')

%:
	dh $@

override_dh_auto_build:
	node $(RJS) -o build.js name=$(ALMOND) insertRequire=strophe-polyfill include=strophe-polyfill out=$(STROPHE_MIN)
	sed -i "s/@VERSION@/$(DEB_UPSTREAM_VERSION)/" $(STROPHE_MIN)
	node $(RJS) -o build.js name=$(ALMOND) optimize=none insertRequire=strophe-polyfill include=strophe-polyfill out=$(STROPHE)
	sed -i "s/@VERSION@/$(DEB_UPSTREAM_VERSION)/" $(STROPHE)
	node $(RJS) -o build.js name=$(ALMOND) optimize=none out=$(STROPHE_LIGHT)
	sed -i "s/@VERSION@/$(DEB_UPSTREAM_VERSION)/" $(STROPHE_LIGHT)

override_dh_auto_test:
	echo "Skip dh_auto_test"

override_dh_auto_clean:
	dh_auto_clean
	rm -f strophe*.js

## strophejs 3.1.0

=== Makefile ===
DOC_DIR			= doc
DOC_TEMP		= doc-temp
HTTPSERVE		?= ./node_modules/http-server/bin/http-server
HTTPSERVE_PORT  ?= 8080
ESLINT		  	?= ./node_modules/eslint/bin/eslint.js
NDPROJ_DIR 		= ndproj
SED				?= sed
SHELL			?= /usr/env/bin/bash
SRC_DIR			= src
STROPHE			= dist/strophe.umd.js

all: doc $(STROPHE)

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of the following:"
	@echo ""
	@echo " all         	Update docs + build strophe"
	@echo " doc         	Update docs"
	@echo " dist        	Build strophe"
	@echo " check       	Build and run the tests"
	@echo " eslint      	Check code quality"
	@echo " release     	Prepare a new release of strophe. E.g. \`make release VERSION=1.2.14\`"
	@echo " serve       	Serve this directory via a webserver on port 8000."
	@echo " node_modules   	Install all dependencies"
	@echo ""
	@echo "If you are a Mac user:\n  1. Install \`gnu-sed\` (brew install gnu-sed) \n  2. Set \`SED\` to \`gsed\` in all commands. E.g. \`make release SED=gsed VERSION=1.2.14\`"

node_modules: package.json
	npm install

.PHONY: doc
doc:
	@@echo "Building Strophe documentation..."
	npx jsdoc -p -d $(DOC_DIR) -c jsdoc.json src/
	@@echo "Documentation built."
	@@echo

.PHONY: release
release:
	$(SED) -i 's/\"version\":\ \"[0-9]\+\.[0-9]\+\.[0-9]\+\"/\"version\":\ \"$(VERSION)\"/' package.json
	$(SED) -i 's/VERSION:\ \"[0-9]\+\.[0-9]\+\.[0-9]\+\"/VERSION:\ \"$(VERSION)\"/' src/index.js
	$(SED)  -i "s/Unreleased/`date +%Y-%m-%d`/" CHANGELOG.md
	make dist

.PHONY: watchjs
watchjs: node_modules
	./node_modules/.bin/npx  webpack --mode=development  --watch

dist/types: src/*
	npm run types

.PHONY: dist
dist: $(STROPHE) dist/types

$(STROPHE): src/* rollup.config.js node_modules Makefile
	npm run build

.PHONY: eslint
eslint: node_modules
	$(ESLINT) src/

.PHONY: prettier
prettier: node_modules
	npm run prettier

.PHONY: check
check:: node_modules eslint dist
	npm ci && npm run test

.PHONY: serve
serve: node_modules
	$(HTTPSERVE) -p $(HTTPSERVE_PORT)

.PHONY: serve_bg
serve_bg: node_modules
	$(HTTPSERVE) -p $(HTTPSERVE_PORT) -c-1 -s &

.PHONY: clean
clean:
	@@rm -rf node_modules
	@@rm -f $(STROPHE)
	@@rm -f $(STROPHE_MIN)
	@@rm -f $(PLUGIN_FILES_MIN)
	@@rm -rf $(NDPROJ_DIR) $(DOC_DIR) $(DOC_TEMP)
	@@echo "Done."
	@@echo

=== debian/changelog ===
strophejs (3.1.0-2) unstable; urgency=medium

  * Team upload
  * Re-upload to unstable

 -- Martin <debacle@debian.org>  Sat, 05 Apr 2025 11:58:20 +0000

strophejs (3.1.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version (Closes: #978568)

 -- Martin <debacle@debian.org>  Sun, 30 Mar 2025 11:17:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,18 @@
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Marcelo Jorge Vieira <metal@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               node-almond (>= 0.3.3+dfsg-3),
-               node-requirejs,
-               uglifyjs
+	       dh-nodejs,
+	       node-almond (>= 0.3.3+dfsg-3),
+	       node-jsdom,
+	       node-requirejs,
+	       node-rollup-plugin-babel,
+	       node-rollup-plugin-commonjs,
+	       node-rollup-plugin-node-resolve,
+	       node-rollup-plugin-terser,
+	       node-typescript,
+	       node-ws,
+	       rollup,
+	       uglifyjs,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://strophe.im/strophejs/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=nodejs

override_dh_auto_build:
	dh_auto_build
	tsc --project tsconfig.json
	rollup --config rollup.config.js --bundleConfigAsCjs

execute_after_dh_auto_install:
	rm -r ./debian/libjs-strophe/usr/share/nodejs/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/strophejs-$1\.tar\.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/strophe/strophejs/tags .*/v?(\d\S+)\.tar\.gz
